#ifndef  LOCODEMO_CONST_H
#define  LOCODEMO_CONST_H


/*---------- PARAMETRES PAR DEFAUT DE LA BOUCLE D'ASSERVISSEMENT ------------*/

/* Vitesse lineaire max du robot */
#define  LOCODEMO_VMAX                 0.9

/* Vitesse angulaire max du robot */
#define  LOCODEMO_WMAX                   1.

/* Acceleration max lineaire du robot */
#define  LOCODEMO_ACCEL_LIN_MAX                1.

/* Acceleration max angulaire du robot */
#define  LOCODEMO_ACCEL_ANG_MAX               (3. * M_PI / 2.)

/* Correction vitesse lineaire, gain proportionnel erreur longitudinale */
#define  LOCODEMO_KP_LONGIT                    1.0

/* Correction vitesse angulaire, gain proportionnel, erreur transversale */
#define    LOCODEMO_KP_TRANSV                    1.0

/*---------- Used only by pilo -------------------------------------------*/

#define LOCODEMO_MOT_AXIS_WIDTH  0.2
#define LOCODEMO_CNTR_POINT_DIST 0.1

/* Default uncertainties for pom */
#define LOCODEMO_VAR_XX     0.001
#define LOCODEMO_VAR_YY     0.001
#define LOCODEMO_VAR_TT     0.0001
#define LOCODEMO_VAR_QCOEFF 0.05

#endif

